<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads.
 *
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2022 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 *  If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */

namespace JchOptimize\Core\Html\Callbacks;

use Joomla\DI\ContainerAwareInterface;
use Joomla\DI\ContainerAwareTrait;
use Joomla\Registry\Registry;

\defined('_JCH_EXEC') or exit('Restricted access');
abstract class AbstractCallback implements ContainerAwareInterface
{
    use ContainerAwareTrait;

    /**
     * @var string RegEx used to process HTML
     */
    protected $regex;

    /**
     * @var Registry Plugin parameters
     */
    protected $params;

    /**
     * Constructor.
     */
    public function __construct(Registry $params)
    {
        $this->params = $params;
    }

    public function setRegex(string $regex)
    {
        $this->regex = $regex;
    }

    abstract public function processMatches($matches);
}
